### Constructor

# Dex Future new_for_value

#### Declaration [src]

    DexFuture*
    dex_future_new_for_value (
      const GValue* value
    )

#### Description [src]

Creates a read-only `DexFuture` that has resolved.

#### Parameters

`value`

  Type: `GValue`

  The resolved `GValue`.

  The data is owned by the caller of the function.

#### Return value

Type: `DexFuture`

A `DexFuture`.

The caller of the function takes ownership of the data, and is responsible for freeing it.